Bug 1762949 - Branch request: python-prompt-toolkit for epel8
Summary: Branch request: python-prompt-toolkit for epel8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-prompt-toolkit
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carl George
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1758271
TreeView+ depends on / blocked
 
Reported: 2019-10-17 21:03 UTC by Ling Li
Modified: 2019-11-02 04:08 UTC (History)
2 users (show)

Fixed In Version: python-prompt-toolkit-2.0.10-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-02 04:08:10 UTC


Attachments (Terms of Use)

Description Ling Li 2019-10-17 21:03:46 UTC
Please build python-prompt-toolkit for EPEL-8, which is a prerequisite for ipython (Bug 1758271).  Since ipython stopped supporting Python 2.7, it may be fine to just package the python3 part, although I am not sure if there are other (python 2) packages that may depend on it.

Comment 1 Fedora Update System 2019-10-17 21:07:48 UTC
FEDORA-EPEL-2019-e47dedf5fe has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-e47dedf5fe

Comment 2 Carl George 2019-10-17 21:16:58 UTC
Submitted the update and also an override so you can proceed with ipython as soon as you like.

https://bodhi.fedoraproject.org/overrides/python-prompt-toolkit-2.0.10-1.el8

Comment 3 Fedora Update System 2019-10-18 02:04:58 UTC
python-prompt-toolkit-2.0.10-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-e47dedf5fe

Comment 4 Fedora Update System 2019-11-02 04:08:10 UTC
python-prompt-toolkit-2.0.10-1.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.